import { ScopePropObject, createProvideScope } from "@oku-ui/provide";
import { primitiveProps } from "@oku-ui/primitive";
export const scopeCheckboxProps = {
  scopeOkuCheckbox: {
    ...ScopePropObject
  }
};
export const CHECKBOX_NAME = "OkuCheckbox";
export const CHECKBOX_INDICATOR_NAME = "OkuCheckboxIndicator";
export const CHECKBOX_BUBBLE_INPUT_NAME = "OkuBubbleInput";
export const [createCheckboxProvider, createCheckboxScope] = createProvideScope(CHECKBOX_NAME);
export const [checkboxProvider, useCheckboxInject] = createCheckboxProvider(CHECKBOX_NAME);
export const checkboxProps = {
  props: {
    modelValue: {
      type: [Boolean, String],
      default: void 0
    },
    checked: {
      type: [Boolean, String],
      default: void 0
    },
    defaultChecked: {
      type: [Boolean, String],
      default: void 0
    },
    required: {
      type: Boolean
    },
    name: {
      type: String
    },
    disabled: {
      type: [Boolean, String]
    },
    value: {
      type: String,
      default: "on"
    },
    ...primitiveProps
  },
  emits: {
    // eslint-disable-next-line unused-imports/no-unused-vars
    "update:modelValue": (checked) => true,
    // eslint-disable-next-line unused-imports/no-unused-vars
    "checkedChange": (checked) => true,
    // eslint-disable-next-line unused-imports/no-unused-vars
    "keydown": (event) => true,
    // eslint-disable-next-line unused-imports/no-unused-vars
    "click": (event) => true
  }
};
export const checkboxIndicatorProps = {
  props: {
    forceMount: {
      type: Boolean,
      default: void 0
    },
    ...primitiveProps
  },
  emits: {}
};
export const bubbleInputProps = {
  props: {
    checked: {
      type: [Boolean, String],
      required: true
    },
    control: {
      type: Object,
      default: null,
      required: true
    },
    bubbles: {
      type: Boolean,
      default: true,
      required: true
    }
  },
  emits: {}
};
